Create a new immutable skill version.
post /skills/{skill_id}/versions
Create a new immutable skill version.
Path Parameters
skill_id: string
Body Parameters
-
files: array of string or stringSkill files to upload (directory upload) or a single zip file.
-
array of stringSkill files to upload (directory upload) or a single zip file.
-
stringSkill zip file to upload.
-
-
default: optional booleanWhether to set this version as the default.
Returns
-
SkillVersion object { id, created_at, description, 4 more }-
id: stringUnique identifier for the skill version.
-
created_at: numberUnix timestamp (seconds) for when the version was created.
-
description: stringDescription of the skill version.
-
name: stringName of the skill version.
-
object: "skill.version"The object type, which is
skill.version."skill.version"
-
skill_id: stringIdentifier of the skill for this version.
-
version: stringVersion number for this skill.
-
Example
curl https://api.openai.com/v1/skills/$SKILL_ID/versions \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-F files='["Example data"]'
Response
{
"id": "id",
"created_at": 0,
"description": "description",
"name": "name",
"object": "skill.version",
"skill_id": "skill_id",
"version": "version"
}